Loading...
Searching...
No Matches
websocketpp::transport::error Namespace Reference

Generic transport related errors. More...

## Classes

class | category

## Enumerations

enum | value { general = 1 , pass_through , invalid_num_bytes , double_read , operation_aborted , operation_not_supported , eof , tls_short_read , timeout , action_after_shutdown , tls_error }

## Functions

lib::error_category const & | get_category ()
lib::error_code | make_error_code (error::value e)

## Detailed Description

Generic transport related errors.

## Enumeration Type Documentation

## value

enum websocketpp::transport::error::value

Enumerator
general | Catch-all error for transport policy errors that don't fit in other categories
pass_through | underlying transport pass through
invalid_num_bytes | async_read_at_least call requested more bytes than buffer can store
double_read | async_read called while another async_read was in progress
operation_aborted | Operation aborted.
operation_not_supported | Operation not supported.
eof | End of file.
tls_short_read | TLS short read.
timeout | Timer expired.
action_after_shutdown | read or write after shutdown
tls_error | Other TLS error.

Definition at line 147 of file connection.hpp.

## Function Documentation

## get_category()

lib::error_category const & websocketpp::transport::error::get_category | ( |  | ) |

inline

Definition at line 219 of file connection.hpp.

## make_error_code()

lib::error_code websocketpp::transport::error::make_error_code | ( | error::value | e | ) |

inline

Definition at line 224 of file connection.hpp.